

#include "BUILTIN.h"

#include "Denotation.h"
extern OBJ _AOcOptions_21(OBJ);extern OBJ __AOcOptions_21;

#include "Nat.h"

#include "Char.h"

#include "Int.h"

#include "Bitset.h"
extern OBJ _AOcBinStream_2(OBJ,OBJ,OBJ,OBJ);extern OBJ __AOcBinStream_2;
extern OBJ _AOcBinStream_3(OBJ,OBJ,OBJ);extern OBJ __AOcBinStream_3;

#include "Array.h"
extern OBJ _AAbsyIO_1(OBJ);OBJ __AAbsyIO_1; /* readAbsy */
extern OBJ _AAbsyIO_2(OBJ,OBJ);OBJ __AAbsyIO_2; /* writeAbsy */
OBJ __AAbsyIO_5; /* absyTag */

extern OBJ _AAbsyIO_1(OBJ x1) /* readAbsy */
{OBJ r;
 CPPRD(__AAbsyIO_5,1);
 CPPRD(x1,1);
 {OBJ x2;
  x2=_AOcOptions_21(x1);
  r=_AOcBinStream_3(x1,x2,__AAbsyIO_5);}
 return r;}

extern OBJ _AAbsyIO_2(OBJ x1,OBJ x2) /* writeAbsy */
{OBJ r;
 CPPRD(__AAbsyIO_5,1);
 CPPRD(x1,1);
 {OBJ x3;
  x3=_AOcOptions_21(x1);
  r=_AOcBinStream_2(x1,x3,__AAbsyIO_5,x2);}
 return r;}

init_AAbsyIO()
{
 static int visited=0; if(visited) return; visited=1;
 init_ADenotation();
 init_AMapReduce();
 init_ASeqReduce();
 init_ASeqMap();
 init_AStruct();
 init_ARepTab();
 init_AOcOptions();
 init_APair();
 init_ACom();
 init_AVoid();
 init_ANat();
 init_ASeq();
 init_AOption();
 init_AChar();
 init_AStream();
 init_AString();
 init_AFile();
 init_AInt();
 init_ARep();
 init_APartName();
 init_AImpl();
 init_AGlobPragma();
 init_AOcPos();
 init_APragma();
 init_AMap();
 init_ASet();
 init_AFct();
 init_ABitset();
 init_AOcBinStream();
 init_ASetByBST();
 init_ABSTree();
 init_ATree();
 init_AArray();
 DEN("absy Key (26.9.93)",__AAbsyIO_5);
 CLS(2,_AAbsyIO_2,__AAbsyIO_2);
 CLS(1,_AAbsyIO_1,__AAbsyIO_1);}

